#!/bin/sh

STREAM=$1
LENGTH=$2
MODE=$3
OUTFILE=$4

pidfile=/var/run/freecorder/`basename "$OUTFILE"`.pid
cmdfile=/var/run/freecorder/`basename "$OUTFILE"`.cmd

#--------------------------------------
function Exit() {
#--------------------------------------
 if [ -f "$pidfile" ]
 then
         for i in `cat "$pidfile"`
         do
               kill -9 $i
         done
         rm -rf "$pidfile"
 fi
 sync
 exit 0
}

#--------------------------------------
function savePid() {
#--------------------------------------
 echo $1>>"$pidfile"
}


# trap le sigexit
trap Exit 0

# lance le process principal
# c'est sleep qui se charge de a

 # lance le process de timing d'enregistrement
 /usr/local/freecorder/sleep.sh $LENGTH "$OUTFILE" "$pidfile" "$STREAM" $MODE&
# sleep $LENGTH &
 pid_sleep=$!
 savePid $pid_sleep
# wait $pid_sleep

# attends la fin de l'enregistrement
wait $pid_sleep
Exit
